% Script file to generate the subfigures showing the curvature star demo
% for various stencil parameters.
%
% Also, you may need to manually modify the subplots_in_line and/or the
% plot_points variables in curvatureStarDemo and curvatureStarMedianDemo to
% get exactly the same figure.

echo on;
curvatureStarDemo;
curvatureStarMedianDemo(1, 'circle', 1);
curvatureStarMedianDemo(2, 'circle', 1);
curvatureStarMedianDemo(3, 'circle', 1);
curvatureStarMedianDemo(4, 'circle', 1);
curvatureStarMedianDemo(5, 'circle', 1);
curvatureStarMedianDemo(3, 'circle', 0);
curvatureStarMedianDemo(3, 'square', 1);
echo off;
